# -*- encoding: utf-8 -*-
# stub: fog-serverlove 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "fog-serverlove"
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Paulo Henrique Lopes Ribeiro"]
  s.date = "2014-12-22"
  s.description = "This library can be used as a module for `fog` or as standalone provider\n                        to use the ServerLove in applications."
  s.email = ["plribeiro3000@gmail.com"]
  s.files = [".gitignore", ".hound.yml", ".rubocop.yml", ".ruby-gemset", ".ruby-version", ".travis.yml", "CONTRIBUTING.md", "CONTRIBUTORS.md", "Gemfile", "LICENSE.md", "README.md", "Rakefile", "fog-serverlove.gemspec", "gemfiles/Gemfile.1.9.2-", "gemfiles/Gemfile.1.9.3+", "lib/fog/bin/serverlove.rb", "lib/fog/compute/serverlove.rb", "lib/fog/compute/serverlove/models/image.rb", "lib/fog/compute/serverlove/models/images.rb", "lib/fog/compute/serverlove/models/server.rb", "lib/fog/compute/serverlove/models/servers.rb", "lib/fog/compute/serverlove/password_generator.rb", "lib/fog/compute/serverlove/requests/create_image.rb", "lib/fog/compute/serverlove/requests/create_server.rb", "lib/fog/compute/serverlove/requests/destroy_image.rb", "lib/fog/compute/serverlove/requests/destroy_server.rb", "lib/fog/compute/serverlove/requests/get_image.rb", "lib/fog/compute/serverlove/requests/get_images.rb", "lib/fog/compute/serverlove/requests/get_server.rb", "lib/fog/compute/serverlove/requests/get_servers.rb", "lib/fog/compute/serverlove/requests/load_standard_image.rb", "lib/fog/compute/serverlove/requests/reset_server.rb", "lib/fog/compute/serverlove/requests/shutdown_server.rb", "lib/fog/compute/serverlove/requests/start_server.rb", "lib/fog/compute/serverlove/requests/stop_server.rb", "lib/fog/compute/serverlove/requests/update_image.rb", "lib/fog/compute/serverlove/requests/update_server.rb", "lib/fog/serverlove.rb", "lib/fog/serverlove/compute.rb", "lib/fog/serverlove/version.rb", "spec/minitest_helper.rb", "tests/compute/password_generator_tests.rb", "tests/compute/requests/image_tests.rb", "tests/compute/requests/server_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/flavors_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/schema_validator_tests.rb", "tests/helpers/server_helper.rb", "tests/helpers/servers_helper.rb", "tests/helpers/succeeds_helper.rb"]
  s.homepage = ""
  s.licenses = ["MIT"]
  s.rubygems_version = "2.2.2"
  s.summary = "Module for the 'fog' gem to support ServerLove."
  s.test_files = ["spec/minitest_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<fog-core>, [">= 0"])
      s.add_runtime_dependency(%q<fog-json>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, [">= 0"])
      s.add_development_dependency(%q<shindo>, [">= 0"])
      s.add_development_dependency(%q<turn>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<coveralls>, [">= 0"])
      s.add_development_dependency(%q<rubocop>, [">= 0"])
    else
      s.add_dependency(%q<fog-core>, [">= 0"])
      s.add_dependency(%q<fog-json>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, [">= 0"])
      s.add_dependency(%q<shindo>, [">= 0"])
      s.add_dependency(%q<turn>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<coveralls>, [">= 0"])
      s.add_dependency(%q<rubocop>, [">= 0"])
    end
  else
    s.add_dependency(%q<fog-core>, [">= 0"])
    s.add_dependency(%q<fog-json>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, [">= 0"])
    s.add_dependency(%q<shindo>, [">= 0"])
    s.add_dependency(%q<turn>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<coveralls>, [">= 0"])
    s.add_dependency(%q<rubocop>, [">= 0"])
  end
end
